View Issue Details

IDProjectCategoryView StatusLast Update
0008345VALENTINA STUDIOPLUGIN - DB - SQLite Localpublic2018-08-15 06:43
ReporterKirill PekarovAssigned ToSergey Pashkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformmacosOSOSXOS Version10.13.6
Product Version8.2.x 
Target Version8.3.xFixed in Version8.3.x 
Summary0008345: [SQLite] VStudio shows columns which can't delete and which are invisible in other tools
DescriptionCheck the attach file.

Others tools doesn't show it, and VStudio doesn't allow to delete ",^M" columns
TagsNo tags attached.
Working with DB:SQLite Local DB
Version of your DB

Activities

Kirill Pekarov

Kirill Pekarov

2018-08-14 18:15

reporter  

vstudio_bug.tar.gz (249,393 bytes)
Sergey Pashkov

Sergey Pashkov

2018-08-15 06:21

developer   ~0010373

Hello Kirill,

It is better to use single quotes for the default value, it's a string literal.
"date_new" TEXT DEFAULT "2001-01-01",
"date_renewal" TEXT DEFAULT "2001-01-01",

It may work, but that's what the developers write about it (https://www.sqlite.org/lang_keywords.html):
"For resilience when confronted with historical SQL statements, SQLite will sometimes bend the quoting rules above:

If a keyword in double quotes (ex: "key" or "glob") is used in a context where it cannot be resolved to an identifier but where a string literal is allowed, then the token is understood to be a string literal instead of an identifier.

Programmers are cautioned not to use the two exceptions described in the previous bullets. We emphasize that they exist only so that old and ill-formed SQL statements will run correctly. Future versions of SQLite might raise errors instead of accepting the malformed statements covered by the exceptions above."
Sergey Pashkov

Sergey Pashkov

2018-08-15 06:43

developer   ~0010374

I changed the parser rule for compatibility.

Issue History

Date Modified Username Field Change
2018-08-14 18:15 Kirill Pekarov New Issue
2018-08-14 18:15 Kirill Pekarov File Added: vstudio_bug.tar.gz
2018-08-14 18:46 Sergey Pashkov Assigned To => Sergey Pashkov
2018-08-14 18:46 Sergey Pashkov Status new => confirmed
2018-08-15 06:21 Sergey Pashkov Note Added: 0010373
2018-08-15 06:42 Sergey Pashkov Summary VStudio shows columns which can't delete and which are invisible in other tools => [SQLite] VStudio shows columns which can't delete and which are invisible in other tools
2018-08-15 06:43 Sergey Pashkov Note Added: 0010374
2018-08-15 06:43 Sergey Pashkov Status confirmed => resolved
2018-08-15 06:43 Sergey Pashkov Resolution open => fixed
2018-08-15 06:43 Sergey Pashkov Fixed in Version => 8.3.x
2018-08-15 06:43 Sergey Pashkov Target Version => 8.3.x